Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:4500/120
First address
2c19:dd:d9:dd:c25:c25:94de:4500
Last address
2c19:dd:d9:dd:c25:c25:94de:45ff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:4500
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
5.4.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:4500/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:4500/1282c19:dd:d9:dd:c25:c25:94de:4500
22c19:dd:d9:dd:c25:c25:94de:4501/1282c19:dd:d9:dd:c25:c25:94de:4501
32c19:dd:d9:dd:c25:c25:94de:4502/1282c19:dd:d9:dd:c25:c25:94de:4502
42c19:dd:d9:dd:c25:c25:94de:4503/1282c19:dd:d9:dd:c25:c25:94de:4503
52c19:dd:d9:dd:c25:c25:94de:4504/1282c19:dd:d9:dd:c25:c25:94de:4504
62c19:dd:d9:dd:c25:c25:94de:4505/1282c19:dd:d9:dd:c25:c25:94de:4505
72c19:dd:d9:dd:c25:c25:94de:4506/1282c19:dd:d9:dd:c25:c25:94de:4506
82c19:dd:d9:dd:c25:c25:94de:4507/1282c19:dd:d9:dd:c25:c25:94de:4507
92c19:dd:d9:dd:c25:c25:94de:4508/1282c19:dd:d9:dd:c25:c25:94de:4508
102c19:dd:d9:dd:c25:c25:94de:4509/1282c19:dd:d9:dd:c25:c25:94de:4509
112c19:dd:d9:dd:c25:c25:94de:450a/1282c19:dd:d9:dd:c25:c25:94de:450a
122c19:dd:d9:dd:c25:c25:94de:450b/1282c19:dd:d9:dd:c25:c25:94de:450b
132c19:dd:d9:dd:c25:c25:94de:450c/1282c19:dd:d9:dd:c25:c25:94de:450c
142c19:dd:d9:dd:c25:c25:94de:450d/1282c19:dd:d9:dd:c25:c25:94de:450d
152c19:dd:d9:dd:c25:c25:94de:450e/1282c19:dd:d9:dd:c25:c25:94de:450e
162c19:dd:d9:dd:c25:c25:94de:450f/1282c19:dd:d9:dd:c25:c25:94de:450f
172c19:dd:d9:dd:c25:c25:94de:4510/1282c19:dd:d9:dd:c25:c25:94de:4510
182c19:dd:d9:dd:c25:c25:94de:4511/1282c19:dd:d9:dd:c25:c25:94de:4511
192c19:dd:d9:dd:c25:c25:94de:4512/1282c19:dd:d9:dd:c25:c25:94de:4512
202c19:dd:d9:dd:c25:c25:94de:4513/1282c19:dd:d9:dd:c25:c25:94de:4513
212c19:dd:d9:dd:c25:c25:94de:4514/1282c19:dd:d9:dd:c25:c25:94de:4514
222c19:dd:d9:dd:c25:c25:94de:4515/1282c19:dd:d9:dd:c25:c25:94de:4515
232c19:dd:d9:dd:c25:c25:94de:4516/1282c19:dd:d9:dd:c25:c25:94de:4516
242c19:dd:d9:dd:c25:c25:94de:4517/1282c19:dd:d9:dd:c25:c25:94de:4517
252c19:dd:d9:dd:c25:c25:94de:4518/1282c19:dd:d9:dd:c25:c25:94de:4518
262c19:dd:d9:dd:c25:c25:94de:4519/1282c19:dd:d9:dd:c25:c25:94de:4519
272c19:dd:d9:dd:c25:c25:94de:451a/1282c19:dd:d9:dd:c25:c25:94de:451a
282c19:dd:d9:dd:c25:c25:94de:451b/1282c19:dd:d9:dd:c25:c25:94de:451b
292c19:dd:d9:dd:c25:c25:94de:451c/1282c19:dd:d9:dd:c25:c25:94de:451c
302c19:dd:d9:dd:c25:c25:94de:451d/1282c19:dd:d9:dd:c25:c25:94de:451d
312c19:dd:d9:dd:c25:c25:94de:451e/1282c19:dd:d9:dd:c25:c25:94de:451e
322c19:dd:d9:dd:c25:c25:94de:451f/1282c19:dd:d9:dd:c25:c25:94de:451f
332c19:dd:d9:dd:c25:c25:94de:4520/1282c19:dd:d9:dd:c25:c25:94de:4520
342c19:dd:d9:dd:c25:c25:94de:4521/1282c19:dd:d9:dd:c25:c25:94de:4521
352c19:dd:d9:dd:c25:c25:94de:4522/1282c19:dd:d9:dd:c25:c25:94de:4522
362c19:dd:d9:dd:c25:c25:94de:4523/1282c19:dd:d9:dd:c25:c25:94de:4523
372c19:dd:d9:dd:c25:c25:94de:4524/1282c19:dd:d9:dd:c25:c25:94de:4524
382c19:dd:d9:dd:c25:c25:94de:4525/1282c19:dd:d9:dd:c25:c25:94de:4525
392c19:dd:d9:dd:c25:c25:94de:4526/1282c19:dd:d9:dd:c25:c25:94de:4526
402c19:dd:d9:dd:c25:c25:94de:4527/1282c19:dd:d9:dd:c25:c25:94de:4527
412c19:dd:d9:dd:c25:c25:94de:4528/1282c19:dd:d9:dd:c25:c25:94de:4528
422c19:dd:d9:dd:c25:c25:94de:4529/1282c19:dd:d9:dd:c25:c25:94de:4529
432c19:dd:d9:dd:c25:c25:94de:452a/1282c19:dd:d9:dd:c25:c25:94de:452a
442c19:dd:d9:dd:c25:c25:94de:452b/1282c19:dd:d9:dd:c25:c25:94de:452b
452c19:dd:d9:dd:c25:c25:94de:452c/1282c19:dd:d9:dd:c25:c25:94de:452c
462c19:dd:d9:dd:c25:c25:94de:452d/1282c19:dd:d9:dd:c25:c25:94de:452d
472c19:dd:d9:dd:c25:c25:94de:452e/1282c19:dd:d9:dd:c25:c25:94de:452e
482c19:dd:d9:dd:c25:c25:94de:452f/1282c19:dd:d9:dd:c25:c25:94de:452f
492c19:dd:d9:dd:c25:c25:94de:4530/1282c19:dd:d9:dd:c25:c25:94de:4530
502c19:dd:d9:dd:c25:c25:94de:4531/1282c19:dd:d9:dd:c25:c25:94de:4531
512c19:dd:d9:dd:c25:c25:94de:4532/1282c19:dd:d9:dd:c25:c25:94de:4532
522c19:dd:d9:dd:c25:c25:94de:4533/1282c19:dd:d9:dd:c25:c25:94de:4533
532c19:dd:d9:dd:c25:c25:94de:4534/1282c19:dd:d9:dd:c25:c25:94de:4534
542c19:dd:d9:dd:c25:c25:94de:4535/1282c19:dd:d9:dd:c25:c25:94de:4535
552c19:dd:d9:dd:c25:c25:94de:4536/1282c19:dd:d9:dd:c25:c25:94de:4536
562c19:dd:d9:dd:c25:c25:94de:4537/1282c19:dd:d9:dd:c25:c25:94de:4537
572c19:dd:d9:dd:c25:c25:94de:4538/1282c19:dd:d9:dd:c25:c25:94de:4538
582c19:dd:d9:dd:c25:c25:94de:4539/1282c19:dd:d9:dd:c25:c25:94de:4539
592c19:dd:d9:dd:c25:c25:94de:453a/1282c19:dd:d9:dd:c25:c25:94de:453a
602c19:dd:d9:dd:c25:c25:94de:453b/1282c19:dd:d9:dd:c25:c25:94de:453b
612c19:dd:d9:dd:c25:c25:94de:453c/1282c19:dd:d9:dd:c25:c25:94de:453c
622c19:dd:d9:dd:c25:c25:94de:453d/1282c19:dd:d9:dd:c25:c25:94de:453d
632c19:dd:d9:dd:c25:c25:94de:453e/1282c19:dd:d9:dd:c25:c25:94de:453e
642c19:dd:d9:dd:c25:c25:94de:453f/1282c19:dd:d9:dd:c25:c25:94de:453f
652c19:dd:d9:dd:c25:c25:94de:4540/1282c19:dd:d9:dd:c25:c25:94de:4540
662c19:dd:d9:dd:c25:c25:94de:4541/1282c19:dd:d9:dd:c25:c25:94de:4541
672c19:dd:d9:dd:c25:c25:94de:4542/1282c19:dd:d9:dd:c25:c25:94de:4542
682c19:dd:d9:dd:c25:c25:94de:4543/1282c19:dd:d9:dd:c25:c25:94de:4543
692c19:dd:d9:dd:c25:c25:94de:4544/1282c19:dd:d9:dd:c25:c25:94de:4544
702c19:dd:d9:dd:c25:c25:94de:4545/1282c19:dd:d9:dd:c25:c25:94de:4545
712c19:dd:d9:dd:c25:c25:94de:4546/1282c19:dd:d9:dd:c25:c25:94de:4546
722c19:dd:d9:dd:c25:c25:94de:4547/1282c19:dd:d9:dd:c25:c25:94de:4547
732c19:dd:d9:dd:c25:c25:94de:4548/1282c19:dd:d9:dd:c25:c25:94de:4548
742c19:dd:d9:dd:c25:c25:94de:4549/1282c19:dd:d9:dd:c25:c25:94de:4549
752c19:dd:d9:dd:c25:c25:94de:454a/1282c19:dd:d9:dd:c25:c25:94de:454a
762c19:dd:d9:dd:c25:c25:94de:454b/1282c19:dd:d9:dd:c25:c25:94de:454b
772c19:dd:d9:dd:c25:c25:94de:454c/1282c19:dd:d9:dd:c25:c25:94de:454c
782c19:dd:d9:dd:c25:c25:94de:454d/1282c19:dd:d9:dd:c25:c25:94de:454d
792c19:dd:d9:dd:c25:c25:94de:454e/1282c19:dd:d9:dd:c25:c25:94de:454e
802c19:dd:d9:dd:c25:c25:94de:454f/1282c19:dd:d9:dd:c25:c25:94de:454f
812c19:dd:d9:dd:c25:c25:94de:4550/1282c19:dd:d9:dd:c25:c25:94de:4550
822c19:dd:d9:dd:c25:c25:94de:4551/1282c19:dd:d9:dd:c25:c25:94de:4551
832c19:dd:d9:dd:c25:c25:94de:4552/1282c19:dd:d9:dd:c25:c25:94de:4552
842c19:dd:d9:dd:c25:c25:94de:4553/1282c19:dd:d9:dd:c25:c25:94de:4553
852c19:dd:d9:dd:c25:c25:94de:4554/1282c19:dd:d9:dd:c25:c25:94de:4554
862c19:dd:d9:dd:c25:c25:94de:4555/1282c19:dd:d9:dd:c25:c25:94de:4555
872c19:dd:d9:dd:c25:c25:94de:4556/1282c19:dd:d9:dd:c25:c25:94de:4556
882c19:dd:d9:dd:c25:c25:94de:4557/1282c19:dd:d9:dd:c25:c25:94de:4557
892c19:dd:d9:dd:c25:c25:94de:4558/1282c19:dd:d9:dd:c25:c25:94de:4558
902c19:dd:d9:dd:c25:c25:94de:4559/1282c19:dd:d9:dd:c25:c25:94de:4559
912c19:dd:d9:dd:c25:c25:94de:455a/1282c19:dd:d9:dd:c25:c25:94de:455a
922c19:dd:d9:dd:c25:c25:94de:455b/1282c19:dd:d9:dd:c25:c25:94de:455b
932c19:dd:d9:dd:c25:c25:94de:455c/1282c19:dd:d9:dd:c25:c25:94de:455c
942c19:dd:d9:dd:c25:c25:94de:455d/1282c19:dd:d9:dd:c25:c25:94de:455d
952c19:dd:d9:dd:c25:c25:94de:455e/1282c19:dd:d9:dd:c25:c25:94de:455e
962c19:dd:d9:dd:c25:c25:94de:455f/1282c19:dd:d9:dd:c25:c25:94de:455f
972c19:dd:d9:dd:c25:c25:94de:4560/1282c19:dd:d9:dd:c25:c25:94de:4560
982c19:dd:d9:dd:c25:c25:94de:4561/1282c19:dd:d9:dd:c25:c25:94de:4561
992c19:dd:d9:dd:c25:c25:94de:4562/1282c19:dd:d9:dd:c25:c25:94de:4562
1002c19:dd:d9:dd:c25:c25:94de:4563/1282c19:dd:d9:dd:c25:c25:94de:4563
1012c19:dd:d9:dd:c25:c25:94de:4564/1282c19:dd:d9:dd:c25:c25:94de:4564
1022c19:dd:d9:dd:c25:c25:94de:4565/1282c19:dd:d9:dd:c25:c25:94de:4565
1032c19:dd:d9:dd:c25:c25:94de:4566/1282c19:dd:d9:dd:c25:c25:94de:4566
1042c19:dd:d9:dd:c25:c25:94de:4567/1282c19:dd:d9:dd:c25:c25:94de:4567
1052c19:dd:d9:dd:c25:c25:94de:4568/1282c19:dd:d9:dd:c25:c25:94de:4568
1062c19:dd:d9:dd:c25:c25:94de:4569/1282c19:dd:d9:dd:c25:c25:94de:4569
1072c19:dd:d9:dd:c25:c25:94de:456a/1282c19:dd:d9:dd:c25:c25:94de:456a
1082c19:dd:d9:dd:c25:c25:94de:456b/1282c19:dd:d9:dd:c25:c25:94de:456b
1092c19:dd:d9:dd:c25:c25:94de:456c/1282c19:dd:d9:dd:c25:c25:94de:456c
1102c19:dd:d9:dd:c25:c25:94de:456d/1282c19:dd:d9:dd:c25:c25:94de:456d
1112c19:dd:d9:dd:c25:c25:94de:456e/1282c19:dd:d9:dd:c25:c25:94de:456e
1122c19:dd:d9:dd:c25:c25:94de:456f/1282c19:dd:d9:dd:c25:c25:94de:456f
1132c19:dd:d9:dd:c25:c25:94de:4570/1282c19:dd:d9:dd:c25:c25:94de:4570
1142c19:dd:d9:dd:c25:c25:94de:4571/1282c19:dd:d9:dd:c25:c25:94de:4571
1152c19:dd:d9:dd:c25:c25:94de:4572/1282c19:dd:d9:dd:c25:c25:94de:4572
1162c19:dd:d9:dd:c25:c25:94de:4573/1282c19:dd:d9:dd:c25:c25:94de:4573
1172c19:dd:d9:dd:c25:c25:94de:4574/1282c19:dd:d9:dd:c25:c25:94de:4574
1182c19:dd:d9:dd:c25:c25:94de:4575/1282c19:dd:d9:dd:c25:c25:94de:4575
1192c19:dd:d9:dd:c25:c25:94de:4576/1282c19:dd:d9:dd:c25:c25:94de:4576
1202c19:dd:d9:dd:c25:c25:94de:4577/1282c19:dd:d9:dd:c25:c25:94de:4577
1212c19:dd:d9:dd:c25:c25:94de:4578/1282c19:dd:d9:dd:c25:c25:94de:4578
1222c19:dd:d9:dd:c25:c25:94de:4579/1282c19:dd:d9:dd:c25:c25:94de:4579
1232c19:dd:d9:dd:c25:c25:94de:457a/1282c19:dd:d9:dd:c25:c25:94de:457a
1242c19:dd:d9:dd:c25:c25:94de:457b/1282c19:dd:d9:dd:c25:c25:94de:457b
1252c19:dd:d9:dd:c25:c25:94de:457c/1282c19:dd:d9:dd:c25:c25:94de:457c
1262c19:dd:d9:dd:c25:c25:94de:457d/1282c19:dd:d9:dd:c25:c25:94de:457d
1272c19:dd:d9:dd:c25:c25:94de:457e/1282c19:dd:d9:dd:c25:c25:94de:457e
1282c19:dd:d9:dd:c25:c25:94de:457f/1282c19:dd:d9:dd:c25:c25:94de:457f
1292c19:dd:d9:dd:c25:c25:94de:4580/1282c19:dd:d9:dd:c25:c25:94de:4580
1302c19:dd:d9:dd:c25:c25:94de:4581/1282c19:dd:d9:dd:c25:c25:94de:4581
1312c19:dd:d9:dd:c25:c25:94de:4582/1282c19:dd:d9:dd:c25:c25:94de:4582
1322c19:dd:d9:dd:c25:c25:94de:4583/1282c19:dd:d9:dd:c25:c25:94de:4583
1332c19:dd:d9:dd:c25:c25:94de:4584/1282c19:dd:d9:dd:c25:c25:94de:4584
1342c19:dd:d9:dd:c25:c25:94de:4585/1282c19:dd:d9:dd:c25:c25:94de:4585
1352c19:dd:d9:dd:c25:c25:94de:4586/1282c19:dd:d9:dd:c25:c25:94de:4586
1362c19:dd:d9:dd:c25:c25:94de:4587/1282c19:dd:d9:dd:c25:c25:94de:4587
1372c19:dd:d9:dd:c25:c25:94de:4588/1282c19:dd:d9:dd:c25:c25:94de:4588
1382c19:dd:d9:dd:c25:c25:94de:4589/1282c19:dd:d9:dd:c25:c25:94de:4589
1392c19:dd:d9:dd:c25:c25:94de:458a/1282c19:dd:d9:dd:c25:c25:94de:458a
1402c19:dd:d9:dd:c25:c25:94de:458b/1282c19:dd:d9:dd:c25:c25:94de:458b
1412c19:dd:d9:dd:c25:c25:94de:458c/1282c19:dd:d9:dd:c25:c25:94de:458c
1422c19:dd:d9:dd:c25:c25:94de:458d/1282c19:dd:d9:dd:c25:c25:94de:458d
1432c19:dd:d9:dd:c25:c25:94de:458e/1282c19:dd:d9:dd:c25:c25:94de:458e
1442c19:dd:d9:dd:c25:c25:94de:458f/1282c19:dd:d9:dd:c25:c25:94de:458f
1452c19:dd:d9:dd:c25:c25:94de:4590/1282c19:dd:d9:dd:c25:c25:94de:4590
1462c19:dd:d9:dd:c25:c25:94de:4591/1282c19:dd:d9:dd:c25:c25:94de:4591
1472c19:dd:d9:dd:c25:c25:94de:4592/1282c19:dd:d9:dd:c25:c25:94de:4592
1482c19:dd:d9:dd:c25:c25:94de:4593/1282c19:dd:d9:dd:c25:c25:94de:4593
1492c19:dd:d9:dd:c25:c25:94de:4594/1282c19:dd:d9:dd:c25:c25:94de:4594
1502c19:dd:d9:dd:c25:c25:94de:4595/1282c19:dd:d9:dd:c25:c25:94de:4595
1512c19:dd:d9:dd:c25:c25:94de:4596/1282c19:dd:d9:dd:c25:c25:94de:4596
1522c19:dd:d9:dd:c25:c25:94de:4597/1282c19:dd:d9:dd:c25:c25:94de:4597
1532c19:dd:d9:dd:c25:c25:94de:4598/1282c19:dd:d9:dd:c25:c25:94de:4598
1542c19:dd:d9:dd:c25:c25:94de:4599/1282c19:dd:d9:dd:c25:c25:94de:4599
1552c19:dd:d9:dd:c25:c25:94de:459a/1282c19:dd:d9:dd:c25:c25:94de:459a
1562c19:dd:d9:dd:c25:c25:94de:459b/1282c19:dd:d9:dd:c25:c25:94de:459b
1572c19:dd:d9:dd:c25:c25:94de:459c/1282c19:dd:d9:dd:c25:c25:94de:459c
1582c19:dd:d9:dd:c25:c25:94de:459d/1282c19:dd:d9:dd:c25:c25:94de:459d
1592c19:dd:d9:dd:c25:c25:94de:459e/1282c19:dd:d9:dd:c25:c25:94de:459e
1602c19:dd:d9:dd:c25:c25:94de:459f/1282c19:dd:d9:dd:c25:c25:94de:459f
1612c19:dd:d9:dd:c25:c25:94de:45a0/1282c19:dd:d9:dd:c25:c25:94de:45a0
1622c19:dd:d9:dd:c25:c25:94de:45a1/1282c19:dd:d9:dd:c25:c25:94de:45a1
1632c19:dd:d9:dd:c25:c25:94de:45a2/1282c19:dd:d9:dd:c25:c25:94de:45a2
1642c19:dd:d9:dd:c25:c25:94de:45a3/1282c19:dd:d9:dd:c25:c25:94de:45a3
1652c19:dd:d9:dd:c25:c25:94de:45a4/1282c19:dd:d9:dd:c25:c25:94de:45a4
1662c19:dd:d9:dd:c25:c25:94de:45a5/1282c19:dd:d9:dd:c25:c25:94de:45a5
1672c19:dd:d9:dd:c25:c25:94de:45a6/1282c19:dd:d9:dd:c25:c25:94de:45a6
1682c19:dd:d9:dd:c25:c25:94de:45a7/1282c19:dd:d9:dd:c25:c25:94de:45a7
1692c19:dd:d9:dd:c25:c25:94de:45a8/1282c19:dd:d9:dd:c25:c25:94de:45a8
1702c19:dd:d9:dd:c25:c25:94de:45a9/1282c19:dd:d9:dd:c25:c25:94de:45a9
1712c19:dd:d9:dd:c25:c25:94de:45aa/1282c19:dd:d9:dd:c25:c25:94de:45aa
1722c19:dd:d9:dd:c25:c25:94de:45ab/1282c19:dd:d9:dd:c25:c25:94de:45ab
1732c19:dd:d9:dd:c25:c25:94de:45ac/1282c19:dd:d9:dd:c25:c25:94de:45ac
1742c19:dd:d9:dd:c25:c25:94de:45ad/1282c19:dd:d9:dd:c25:c25:94de:45ad
1752c19:dd:d9:dd:c25:c25:94de:45ae/1282c19:dd:d9:dd:c25:c25:94de:45ae
1762c19:dd:d9:dd:c25:c25:94de:45af/1282c19:dd:d9:dd:c25:c25:94de:45af
1772c19:dd:d9:dd:c25:c25:94de:45b0/1282c19:dd:d9:dd:c25:c25:94de:45b0
1782c19:dd:d9:dd:c25:c25:94de:45b1/1282c19:dd:d9:dd:c25:c25:94de:45b1
1792c19:dd:d9:dd:c25:c25:94de:45b2/1282c19:dd:d9:dd:c25:c25:94de:45b2
1802c19:dd:d9:dd:c25:c25:94de:45b3/1282c19:dd:d9:dd:c25:c25:94de:45b3
1812c19:dd:d9:dd:c25:c25:94de:45b4/1282c19:dd:d9:dd:c25:c25:94de:45b4
1822c19:dd:d9:dd:c25:c25:94de:45b5/1282c19:dd:d9:dd:c25:c25:94de:45b5
1832c19:dd:d9:dd:c25:c25:94de:45b6/1282c19:dd:d9:dd:c25:c25:94de:45b6
1842c19:dd:d9:dd:c25:c25:94de:45b7/1282c19:dd:d9:dd:c25:c25:94de:45b7
1852c19:dd:d9:dd:c25:c25:94de:45b8/1282c19:dd:d9:dd:c25:c25:94de:45b8
1862c19:dd:d9:dd:c25:c25:94de:45b9/1282c19:dd:d9:dd:c25:c25:94de:45b9
1872c19:dd:d9:dd:c25:c25:94de:45ba/1282c19:dd:d9:dd:c25:c25:94de:45ba
1882c19:dd:d9:dd:c25:c25:94de:45bb/1282c19:dd:d9:dd:c25:c25:94de:45bb
1892c19:dd:d9:dd:c25:c25:94de:45bc/1282c19:dd:d9:dd:c25:c25:94de:45bc
1902c19:dd:d9:dd:c25:c25:94de:45bd/1282c19:dd:d9:dd:c25:c25:94de:45bd
1912c19:dd:d9:dd:c25:c25:94de:45be/1282c19:dd:d9:dd:c25:c25:94de:45be
1922c19:dd:d9:dd:c25:c25:94de:45bf/1282c19:dd:d9:dd:c25:c25:94de:45bf
1932c19:dd:d9:dd:c25:c25:94de:45c0/1282c19:dd:d9:dd:c25:c25:94de:45c0
1942c19:dd:d9:dd:c25:c25:94de:45c1/1282c19:dd:d9:dd:c25:c25:94de:45c1
1952c19:dd:d9:dd:c25:c25:94de:45c2/1282c19:dd:d9:dd:c25:c25:94de:45c2
1962c19:dd:d9:dd:c25:c25:94de:45c3/1282c19:dd:d9:dd:c25:c25:94de:45c3
1972c19:dd:d9:dd:c25:c25:94de:45c4/1282c19:dd:d9:dd:c25:c25:94de:45c4
1982c19:dd:d9:dd:c25:c25:94de:45c5/1282c19:dd:d9:dd:c25:c25:94de:45c5
1992c19:dd:d9:dd:c25:c25:94de:45c6/1282c19:dd:d9:dd:c25:c25:94de:45c6
2002c19:dd:d9:dd:c25:c25:94de:45c7/1282c19:dd:d9:dd:c25:c25:94de:45c7
2012c19:dd:d9:dd:c25:c25:94de:45c8/1282c19:dd:d9:dd:c25:c25:94de:45c8
2022c19:dd:d9:dd:c25:c25:94de:45c9/1282c19:dd:d9:dd:c25:c25:94de:45c9
2032c19:dd:d9:dd:c25:c25:94de:45ca/1282c19:dd:d9:dd:c25:c25:94de:45ca
2042c19:dd:d9:dd:c25:c25:94de:45cb/1282c19:dd:d9:dd:c25:c25:94de:45cb
2052c19:dd:d9:dd:c25:c25:94de:45cc/1282c19:dd:d9:dd:c25:c25:94de:45cc
2062c19:dd:d9:dd:c25:c25:94de:45cd/1282c19:dd:d9:dd:c25:c25:94de:45cd
2072c19:dd:d9:dd:c25:c25:94de:45ce/1282c19:dd:d9:dd:c25:c25:94de:45ce
2082c19:dd:d9:dd:c25:c25:94de:45cf/1282c19:dd:d9:dd:c25:c25:94de:45cf
2092c19:dd:d9:dd:c25:c25:94de:45d0/1282c19:dd:d9:dd:c25:c25:94de:45d0
2102c19:dd:d9:dd:c25:c25:94de:45d1/1282c19:dd:d9:dd:c25:c25:94de:45d1
2112c19:dd:d9:dd:c25:c25:94de:45d2/1282c19:dd:d9:dd:c25:c25:94de:45d2
2122c19:dd:d9:dd:c25:c25:94de:45d3/1282c19:dd:d9:dd:c25:c25:94de:45d3
2132c19:dd:d9:dd:c25:c25:94de:45d4/1282c19:dd:d9:dd:c25:c25:94de:45d4
2142c19:dd:d9:dd:c25:c25:94de:45d5/1282c19:dd:d9:dd:c25:c25:94de:45d5
2152c19:dd:d9:dd:c25:c25:94de:45d6/1282c19:dd:d9:dd:c25:c25:94de:45d6
2162c19:dd:d9:dd:c25:c25:94de:45d7/1282c19:dd:d9:dd:c25:c25:94de:45d7
2172c19:dd:d9:dd:c25:c25:94de:45d8/1282c19:dd:d9:dd:c25:c25:94de:45d8
2182c19:dd:d9:dd:c25:c25:94de:45d9/1282c19:dd:d9:dd:c25:c25:94de:45d9
2192c19:dd:d9:dd:c25:c25:94de:45da/1282c19:dd:d9:dd:c25:c25:94de:45da
2202c19:dd:d9:dd:c25:c25:94de:45db/1282c19:dd:d9:dd:c25:c25:94de:45db
2212c19:dd:d9:dd:c25:c25:94de:45dc/1282c19:dd:d9:dd:c25:c25:94de:45dc
2222c19:dd:d9:dd:c25:c25:94de:45dd/1282c19:dd:d9:dd:c25:c25:94de:45dd
2232c19:dd:d9:dd:c25:c25:94de:45de/1282c19:dd:d9:dd:c25:c25:94de:45de
2242c19:dd:d9:dd:c25:c25:94de:45df/1282c19:dd:d9:dd:c25:c25:94de:45df
2252c19:dd:d9:dd:c25:c25:94de:45e0/1282c19:dd:d9:dd:c25:c25:94de:45e0
2262c19:dd:d9:dd:c25:c25:94de:45e1/1282c19:dd:d9:dd:c25:c25:94de:45e1
2272c19:dd:d9:dd:c25:c25:94de:45e2/1282c19:dd:d9:dd:c25:c25:94de:45e2
2282c19:dd:d9:dd:c25:c25:94de:45e3/1282c19:dd:d9:dd:c25:c25:94de:45e3
2292c19:dd:d9:dd:c25:c25:94de:45e4/1282c19:dd:d9:dd:c25:c25:94de:45e4
2302c19:dd:d9:dd:c25:c25:94de:45e5/1282c19:dd:d9:dd:c25:c25:94de:45e5
2312c19:dd:d9:dd:c25:c25:94de:45e6/1282c19:dd:d9:dd:c25:c25:94de:45e6
2322c19:dd:d9:dd:c25:c25:94de:45e7/1282c19:dd:d9:dd:c25:c25:94de:45e7
2332c19:dd:d9:dd:c25:c25:94de:45e8/1282c19:dd:d9:dd:c25:c25:94de:45e8
2342c19:dd:d9:dd:c25:c25:94de:45e9/1282c19:dd:d9:dd:c25:c25:94de:45e9
2352c19:dd:d9:dd:c25:c25:94de:45ea/1282c19:dd:d9:dd:c25:c25:94de:45ea
2362c19:dd:d9:dd:c25:c25:94de:45eb/1282c19:dd:d9:dd:c25:c25:94de:45eb
2372c19:dd:d9:dd:c25:c25:94de:45ec/1282c19:dd:d9:dd:c25:c25:94de:45ec
2382c19:dd:d9:dd:c25:c25:94de:45ed/1282c19:dd:d9:dd:c25:c25:94de:45ed
2392c19:dd:d9:dd:c25:c25:94de:45ee/1282c19:dd:d9:dd:c25:c25:94de:45ee
2402c19:dd:d9:dd:c25:c25:94de:45ef/1282c19:dd:d9:dd:c25:c25:94de:45ef
2412c19:dd:d9:dd:c25:c25:94de:45f0/1282c19:dd:d9:dd:c25:c25:94de:45f0
2422c19:dd:d9:dd:c25:c25:94de:45f1/1282c19:dd:d9:dd:c25:c25:94de:45f1
2432c19:dd:d9:dd:c25:c25:94de:45f2/1282c19:dd:d9:dd:c25:c25:94de:45f2
2442c19:dd:d9:dd:c25:c25:94de:45f3/1282c19:dd:d9:dd:c25:c25:94de:45f3
2452c19:dd:d9:dd:c25:c25:94de:45f4/1282c19:dd:d9:dd:c25:c25:94de:45f4
2462c19:dd:d9:dd:c25:c25:94de:45f5/1282c19:dd:d9:dd:c25:c25:94de:45f5
2472c19:dd:d9:dd:c25:c25:94de:45f6/1282c19:dd:d9:dd:c25:c25:94de:45f6
2482c19:dd:d9:dd:c25:c25:94de:45f7/1282c19:dd:d9:dd:c25:c25:94de:45f7
2492c19:dd:d9:dd:c25:c25:94de:45f8/1282c19:dd:d9:dd:c25:c25:94de:45f8
2502c19:dd:d9:dd:c25:c25:94de:45f9/1282c19:dd:d9:dd:c25:c25:94de:45f9
2512c19:dd:d9:dd:c25:c25:94de:45fa/1282c19:dd:d9:dd:c25:c25:94de:45fa
2522c19:dd:d9:dd:c25:c25:94de:45fb/1282c19:dd:d9:dd:c25:c25:94de:45fb
2532c19:dd:d9:dd:c25:c25:94de:45fc/1282c19:dd:d9:dd:c25:c25:94de:45fc
2542c19:dd:d9:dd:c25:c25:94de:45fd/1282c19:dd:d9:dd:c25:c25:94de:45fd
2552c19:dd:d9:dd:c25:c25:94de:45fe/1282c19:dd:d9:dd:c25:c25:94de:45fe
2562c19:dd:d9:dd:c25:c25:94de:45ff/1282c19:dd:d9:dd:c25:c25:94de:45ff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses